DCMTK - Feature #223

von OFList abgeleitete Klassen im Toolkit
2004-10-20 00:00 - Marco Eichelberg

Status: Closed Start date:

Priority: Low Due date:

Assignee: % Done: 100%
Category: Estimated time: 0:00 hour

Target version:
Module: alle Compiler:

Operating System:

Description
Status: erledigt? [JR]

An einigen Stellen im Toolkit werden Klassen von OFList abgeleitet (public oder
private). Das ist problematisch, wenn mit -DHAVE_STL Ubersetzt wird, weil die
STL-Klassen eigentlich nicht zum Ableiten gedacht sind (haben nicht-virtuellen
Konstruktor). Beispiel: class DecmDictEntryList erzeugt folgende Warnung:

dcmdata/include/dchashdi.h:101: warning:
base class “class std::list<DcmDictEntry*, std::allocator<DcmDictEntry*> >' has a non-virtual de
structor

History

#1 - 2025-08-21 11:29 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

Ist inzwischen korrigiert.
